## gcr4 4.2.0

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject Introspection (GIR) files',
)
option('vapi',
  type: 'boolean',
  value: true,
  description: 'Generate vapi data (requires vapigen and introspection option)',
)
option('gtk4',
  type: 'boolean',
  value: true,
  description: 'Enable the GTK4 library and utilities',
)
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Build the reference documentation (requires gi-docgen)',
)
option('gpg_path',
  type: 'string',
  value: '',
  description: 'Path to gpg, autodetected if not set',
)
option('ssh_agent',
  type: 'boolean',
  value: true,
  description: 'Build ssh-agent binary',
)
option('systemd',
  type: 'feature',
  value: 'auto',
  description: 'Use systemd socket activation for server programs'
)

## gcr4 4.1.0

=== debian/changelog ===
gcr4 (4.1.0-0ubuntu1) lunar; urgency=medium

  * Upload to Ubuntu while waiting for Debian NEW queue review.
    This is a required dependency for epiphany-browser 44

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 12:15:27 -0400

gcr4 (4.1.0-1) UNRELEASED; urgency=medium

  * Rename source package for new series since we'll need to keep the
    old series around for a while
  * New upstream release (Closes: #1023632)
  * Build with gtk4
  * Update binary package names & symbols files
  * Create a minimal gcr4 package that depends on the old gcr:
    we can keep using the old gcr binary package for now
  * debian/rules: Drop obsolete build option
  * debian/tests/control: Drop the gcr4 test until it can be rewritten

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 17:49:02 -0500

gcr (3.41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum meson to 0.52
  * Drop 2 patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 22:48:53 +0200

gcr (3.41.0-4) unstable; urgency=medium

  * Use dh-exec to install systemd user service on Linux only
  * Don't build ssh-agent on non-Linux since it requires libsecret

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 25 May 2022 09:09:52 -0400

gcr (3.41.0-2) unstable; urgency=medium

  * Add patch to start systemd service with graphical session

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:52:15 -0400

gcr (3.41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on openssh-client
  * Build new systemd ssh-agent user service
  * Add patch to fix a build issue without systemd
  * Drop test chain patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:17:10 -0400

gcr (3.40.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005545)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 16:18:13 -0400

gcr (3.40.0-3) unstable; urgency=medium

  * debian/patches: Fix random certificate chain test failure in some archs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 02:08:30 +0200

gcr (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Clean up obsolete overrides
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 20:24:56 -0400

gcr (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement
  * debian/docs:
    - updated documentation files to include
  * debian/libgck-1-0.symbols:
    - updated the list of symbols for the new version
  * debian/rules:
    - remove autoreconf overwrite, not needed anymore
  * debian/patches/tests-collection-test-timeout.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 16:23:07 +0200

gcr (3.38.1-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck profile.
    gpg is required at configure time, even if we will not run the tests.
    (Closes: #980830)

  [ Simon McVittie ]
  * Standards-Version: 4.5.1 (no changes required)
  * d/upstream/metadata: Add
  * Add Lintian overrides for #970275

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:36:13 +0000

gcr (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 17:26:53 +0100

gcr (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    - remove patch included in the new version
  * debian/rules:
    - Build without =-Wl,-Bsymbolic-functions, it breaks the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:20:23 +0200

gcr (3.36.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    Add patch to fix timestamp parsing, fixing intermittent test failures
    (Closes: #953981)
  * d/p/tests-collection-test-timeout.patch:
    Mark patch as forwarded upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Mar 2020 14:40:41 +0000

gcr (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependencies and switch to meson
    - Drop d/p/build-Use-sed-for-.desktop-variables-substitution.patch, not
      needed now that we switched to meson
    - debian/libgcr-base-3-1.symbols: Add newly exported symbols
  * Move gcr-prompter and gcr-ssh-askpass to /usr/libexec
  * debian/control.in: Mark the -doc packages as Build-Profiles: <!nodoc> and
    add libgtk-3-doc to the BDI
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Make autopkgtests cross-test-friendly, thanks to Steve Langasek (Closes:
    #946369)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 15:52:58 +0100

gcr (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches except tests-collection-test-timeout.patch:
    - Applied in new release
  * Cherry-pick build-Use-sid-for-.desktop-variables-substition.patch:
    - Fix broken gcr-viewer.desktop (Closes: #941417, #942546)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome & dh-sequence-gir

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 06:20:09 -0400

gcr (3.33.4-3) unstable; urgency=medium

  * Team upload
  * Tighten interdependencies between libraries to upgrade in lockstep.
    Nobody is going to test arbitrary combinations of binary packages from
    the same source, and there seems no benefit in upgrading on a finer
    granularity than per-source-package. (Related to #941076)
  * Canonicalize order of installed file lists (wrap-and-sort -a)
  * Canonicalize order of dependency lists (wrap-and-sort -a)
  * d/tests: Add autopkgtest smoke-tests for the development libraries


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gcr4
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xml,
               gi-docgen,
               gnupg,
               libdbus-1-dev (>= 1.0),
               libgcrypt20-dev (>= 1.4.5),
               libgirepository1.0-dev (>= 1.34),
               libglib2.0-dev (>= 2.44.0),
               libgtk-4-dev,
               libp11-kit-dev (>= 0.19.0),
               libsecret-1-dev (>= 0.20) [linux-any],
               libsystemd-dev [linux-any],
               libtasn1-6-dev,
               libtasn1-bin,
               meson (>= 0.52),
               openssh-client,
               valac,
               xsltproc
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-4-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gcr4
Vcs-Git: https://salsa.debian.org/gnome-team/gcr4.git
Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

Package: gcr4
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         gcr,
         libgcr-4-4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME crypto services (daemon and tools)
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the certificate viewer and prompter service.

Package: libgck-2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gck-2 (= ${binary:Version}),
         libgck-2-2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         libp11-kit-dev (>= 0.19.0),
         ${misc:Depends}
Suggests: libgck-2-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-2-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: gir1.2-gck-2
Architecture: any
Multi-Arch: same
Section: introspection
Depends: libgck-2-2 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCK library
 This package contains introspection data for GCK, a wrapper based on GLib
 implementing the PKCS#11 (Cryptoki) interface.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCK library.

Package: libgcr-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gcr-4 (= ${binary:Version}),
         libgck-2-dev (= ${binary:Version}),
         libgcr-4-4 (= ${binary:Version}),
         libglib2.0-dev,
         libp11-kit-dev,
         ${misc:Depends}
Suggests: libgcr-4-doc
Description: Library for Crypto UI related tasks - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: Library for Crypto UI related tasks - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-4-4
Section: libs
Architecture: any
Multi-Arch: same
Depends: libgck-2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for Crypto related tasks
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the GObject library for high level crypto
 parsing.

Package: gir1.2-gcr-4
Architecture: any
Multi-Arch: same
Section: introspection
Depends: libgcr-4-4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCR library
 This package contains introspection data for GCR, a library for crypto UI
 and related tasks.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCR library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Filter out that flag for Ubuntu, it's default there but fails the build
# https://gitlab.gnome.org/GNOME/gcr/issues/43
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

# Temporarily disable things shipped by gcr
#ifneq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD = -Dsystemd=disabled
SSH_AGENT = -Dssh_agent=false -Dgtk4=false
#endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk_doc=true \
		-Dintrospection=true \
		$(SSH_AGENT) \
		$(SYSTEMD)

override_dh_auto_test:
	# Disable fakeroot as this confuses some of the tests
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test

=== debian/tests/control ===
Tests: libgck-2-dev
Depends: build-essential,
         libgck-2-dev,
         pkg-config,
Restrictions: allow-stderr superficial

# This test copied from the old gcr source
# needs to be rewritten for gcr4
#Tests: libgcr-4-dev
#Depends: build-essential,
#         dbus,
#         libgcr-4-dev,
#         pkg-config,
#         xauth,
#         xvfb
#Restrictions: allow-stderr superficial

## gcr4 4.2.0

=== debian/changelog ===
gcr4 (4.2.0-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev build-dependency.
    This is a step towards making cross-compiling possible.
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all relevant packages.
    This will let dependent packages like gnome-shell depend on the
    systematic gir1.2-*-dev names that represent the GIR XML.

  [ Jeremy Bícha ]
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 14:00:14 -0400

gcr4 (4.2.0-5) unstable; urgency=medium

  * debian/tests:
    - update the libgcr-4-dev test to not use a deprecated API
      and re-enable it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 16:50:15 +0200

gcr4 (4.2.0-4) unstable; urgency=medium

  * Add Build-Depends: systemd-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Mar 2024 12:12:35 -0400

gcr4 (4.2.0-3) unstable; urgency=medium

  * Have gcr4 install the gcr-ssh-agent service instead of gcr
  * Also install gcr-viewer4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:52:19 -0500

gcr4 (4.2.0-2) unstable; urgency=medium

  * Ignore build test failures on s390x (Closes: #1057562)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:02:40 -0500

gcr4 (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Update
  * Stop using debian/control.in and dh_gnome_clean
  * Opt into Ubuntu language packs since this will eventually be in Ubuntu main
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 08:09:23 -0500

gcr4 (4.1.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2023 16:46:42 -0400

gcr4 (4.1.0-1) experimental; urgency=medium

  * Rename source package for new series since we'll need to keep the
    old series around for a while
  * New upstream release (Closes: #1023632)
  * Build with gtk4
  * Update binary package names & symbols files
  * Create a minimal gcr4 package that depends on the old gcr:
    we can keep using the old gcr binary package for now
  * debian/rules: Drop obsolete build option
  * debian/tests/control: Drop the gcr4 test until it can be rewritten

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 17:49:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gcr4
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 13),
                dh-exec,
@@ -15,10 +10,12 @@
                dh-sequence-gnome,
                docbook-xml,
                gi-docgen,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gnupg,
+               gobject-introspection (>= 1.78.1-9~),
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
-               libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.44.0),
                libgtk-4-dev,
                libp11-kit-dev (>= 0.19.0),
@@ -28,11 +25,12 @@
                libtasn1-bin,
                meson (>= 0.52),
                openssh-client,
+               systemd-dev [linux-any],
                valac,
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-4-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr4
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr4.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -44,6 +42,8 @@
          libgcr-4-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: gcr (<< 3.41.1-5~)
+Replaces: gcr (<< 3.41.1-5~)
 Description: GNOME crypto services (daemon and tools)
  GCR is a library for crypto UI and related tasks.
  .
@@ -57,7 +57,9 @@
          libgck-2-2 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
          libp11-kit-dev (>= 0.19.0),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libgck-2-doc
 Description: GLib wrapper library for PKCS#11 - development
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
@@ -99,6 +101,7 @@
 Depends: libgck-2-2 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GCK library
  This package contains introspection data for GCK, a wrapper based on GLib
  implementing the PKCS#11 (Cryptoki) interface.
@@ -115,7 +118,9 @@
          libgcr-4-4 (= ${binary:Version}),
          libglib2.0-dev,
          libp11-kit-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libgcr-4-doc
 Description: Library for Crypto UI related tasks - development
  GCR is a library for crypto UI and related tasks.
@@ -155,6 +160,7 @@
 Depends: libgcr-4-4 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GCR library
  This package contains introspection data for GCR, a library for crypto UI
  and related tasks.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,10 @@
 # https://gitlab.gnome.org/GNOME/gcr/issues/43
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
-# Temporarily disable things shipped by gcr
-#ifneq ($(DEB_HOST_ARCH_OS),linux)
+ifneq ($(DEB_HOST_ARCH_OS),linux)
 SYSTEMD = -Dsystemd=disabled
 SSH_AGENT = -Dssh_agent=false -Dgtk4=false
-#endif
+endif
 
 %:
 	dh $@
@@ -25,6 +24,13 @@
 		$(SSH_AGENT) \
 		$(SYSTEMD)
 
+# Disable fakeroot as this confuses some of the tests
+# Ignore test failures on s390x
 override_dh_auto_test:
-	# Disable fakeroot as this confuses some of the tests
+ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
+	env -u LD_PRELOAD dbus-run-session -- dh_auto_test || true
+else
 	env -u LD_PRELOAD dbus-run-session -- dh_auto_test
+endif
+
+override_dh_gnome_clean:

## gcr4 4.3.0

=== debian/changelog ===
gcr4 (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 21:11:38 -0400

## gcr4 4.3.90.3

=== debian/changelog ===
gcr4 (4.3.90.3-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib
  * debian/libgcr-4-4.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 19:22:59 -0500

## gcr4 4.3.91

=== debian/changelog ===
gcr4 (4.3.91-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:39:19 -0500

## gcr4 4.4.0.1

=== debian/changelog ===
gcr4 (4.4.0.1-7) unstable; urgency=medium

  * Team upload
  * d/tests/installed-tests: Run tests with a 1 minute timeout
    (Mitigates: #1112076)
  * d/tests/installed-tests: Don't suppress tests' output.
    If a test gets stuck, this gives us a better idea of how far it got
    and what might have gone wrong. (Helps: #1112076)
  * d/tests/installed-tests: Improve robustness by using `set -eu`
  * d/p/workarounds/test-ssh-agent-service-Don-t-run-this-test-by-default.patch:
    Skip a flaky test unless specifically requested
    (Mitigates: #1112659, Closes: #1112076)
  * d/p/workarounds/test-ssh-agent-process-Don-t-run-this-test-by-default.patch:
    Skip another apparently flaky test
    (Mitigates: #1112662)
  * d/p/workarounds/disable-test-which-segfaults.patch:
    Run the test if DEB_ALLOW_FLAKY_TESTS is in the environment
  * d/tests/control: Re-run the tests with flaky tests enabled.
    This will let us get an idea of how often they fail and whether they
    have been fixed.
  * d/tests/control: Give Test-Command-based tests a meaningful name
  * d/control: Remove Build-Depends-Indep on -doc packages.
    gtk-doc needed these for interlinking between packages' documentation,
    but gi-docgen handles that differently.
  * d/control, d/rules: Only require gi-docgen when building -doc package
  * d/control: Remove obsolete Build-Depends on docbook-xml and xsltproc.
    These don't seem to be used for anything any more.
  * d/lib*-doc.links: Register API documentation with devhelp
  * d/lib*-doc.doc-base.*: Register API documentation with doc-base
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 18:19:02 +0100

gcr4 (4.4.0.1-6) unstable; urgency=medium

  * d/tests: Fixup installed-tests for different autopkgtest runners

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 25 Aug 2025 15:32:59 +0200

gcr4 (4.4.0.1-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:21:07 -0400

gcr4 (4.4.0.1-4) experimental; urgency=medium

  * Team upload
  * debian: Run upstream integration tests as autopkgtests
  * debian: Add proposed patch to ensure gcr4 is the default ssh-agent provider

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 27 Jul 2025 17:04:51 +0200

gcr4 (4.4.0.1-3) unstable; urgency=medium

  [ Santiago Vila ]
  * Add patch to disable a test that segfaults on some systems
    (Closes: #1057562)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 12 Apr 2025 11:55:19 -0400

gcr4 (4.4.0.1-2) unstable; urgency=medium

  * Opt into Salsa CI
  * Stop ignoring build test failures on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 17:31:31 -0400

gcr4 (4.4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 17:06:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
                dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
-               docbook-xml,
-               gi-docgen,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gnupg,
                gobject-introspection (>= 1.78.1-9~),
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
-               libglib2.0-dev (>= 2.44.0),
+               libglib2.0-dev (>= 2.74.0),
                libgtk-4-dev,
                libp11-kit-dev (>= 0.19.0),
                libsecret-1-dev (>= 0.20) [linux-any],
@@ -27,10 +25,9 @@
                openssh-client,
                systemd-dev [linux-any],
                valac,
-               xsltproc
-Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-4-doc <!nodoc>
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr4
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr4.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -55,7 +52,7 @@
 Multi-Arch: same
 Depends: gir1.2-gck-2 (= ${binary:Version}),
          libgck-2-2 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.44.0),
+         libglib2.0-dev (>= 2.74.0),
          libp11-kit-dev (>= 0.19.0),
          ${gir:Depends},
          ${misc:Depends}
@@ -167,3 +164,16 @@
  .
  It can be used by interpreters understanding the GIRepository format to
  write programs using the GCR library.
+
+Package: gcr4-tests
+Architecture: any
+Depends: gcr4,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Test programs for gcr4 libraries
+ This package contains test programs that test the functionality of the
+ various libraries provided in gcr4.
+ .
+ The test programs either link against the provided libraries,
+ or they include the same compiled source code as a library in case of
+ static or derived libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Filter out that flag for Ubuntu, it's default there but fails the build
# https://gitlab.gnome.org/GNOME/gcr/issues/43
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

built_binaries := $(shell dh_listpackages)
configure_flags = \
	-Dauto_features=enabled \
	-Dintrospection=true \
	$(NULL)

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
configure_flags += -Dsystemd=disabled
configure_flags += -Dssh_agent=false -Dgtk4=false
endif

TESTS_BUILD_DIR=debian/build/installed-tests
TESTS_INSTALL_DIR=usr/libexec/installed-tests/gcr4
TESTS_PKG=gcr4-tests

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

	# Setup installed-tests with custom paths
	@echo "#define SRCDIR \"/$(TESTS_INSTALL_DIR)\"" >> debian/test-vars.h
	@echo "#define _GCK_TEST_MODULE_PATH \"/$(TESTS_INSTALL_DIR)/libmock-test-module.so\"" >> debian/test-vars.h
	@echo "#define _GCR_TEST_SSH_ASKPASS_PATH \"/usr/libexec/gcr4-ssh-askpass\"" >> debian/test-vars.h
	CFLAGS="$(CFLAGS) --include $(shell pwd)/debian/test-vars.h" dh_auto_configure \
		--builddirectory=$(TESTS_BUILD_DIR) \
		-- \
		$(configure_flags)

# Compile installed-tests
execute_after_dh_auto_build-arch:
	dh_auto_build \
		--builddirectory=$(TESTS_BUILD_DIR) \
		-- \
		meson-test-prereq

override_dh_auto_test:
	# Disable fakeroot as this confuses some of the tests
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test

# Install tests
execute_after_dh_auto_install-arch:
	mkdir -p debian/tmp/$(TESTS_INSTALL_DIR)
	find $(TESTS_BUILD_DIR) -type f -executable \
		\( \
			-path "*/egg/egg-*" -o \
			-path "*/gck/test-*" -o \
			-path "*/gcr/test-*" \
		\) \
		-exec install -m 0755 {} debian/tmp/$(TESTS_INSTALL_DIR) \;
	install -m 0644 $(TESTS_BUILD_DIR)/gck/libgck-test*.so debian/tmp/$(TESTS_INSTALL_DIR)
	install -m 0644 $(TESTS_BUILD_DIR)/gck/libmock-test-module.so debian/tmp/$(TESTS_INSTALL_DIR)
	cp -r --parents egg/fixtures debian/tmp/$(TESTS_INSTALL_DIR)
	cp -r --parents gcr/fixtures debian/tmp/$(TESTS_INSTALL_DIR)

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms-arch:
	dh_fixperms -X$(TESTS_INSTALL_DIR)

	chmod -R a=r,u+w,a+X debian/$(TESTS_PKG)/$(TESTS_INSTALL_DIR)/*/fixtures/
	chmod +x debian/$(TESTS_PKG)/$(TESTS_INSTALL_DIR)/gcr/fixtures/gnupg-mock/*

execute_after_dh_clean:
	rm -rf debian/build
	rm -f  debian/test-vars.h

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libgck-2-dev
Depends: build-essential,
         libgck-2-dev,
         pkg-config,
Restrictions: allow-stderr superficial

Tests: libgcr-4-dev
Depends: build-essential,
         dbus,
         libgcr-4-dev,
         pkg-config,
Restrictions: allow-stderr superficial

Test-Command: dbus-run-session debian/tests/installed-tests
Depends: gcr4-tests, dbus-daemon
Features: test-name=installed-tests
Restrictions: needs-root, isolation-container

Test-Command: env DEB_ALLOW_FLAKY_TESTS=1 dbus-run-session debian/tests/installed-tests
Depends: gcr4-tests, dbus-daemon
Features: test-name=installed-tests-flaky
Restrictions: flaky, needs-root, isolation-container
